Package opennlp.tools.ml.naivebayes

# Class NaiveBayesModelWriter

java.lang.Object
opennlp.tools.ml.model.AbstractModelWriter
opennlp.tools.ml.AbstractMLModelWriter
opennlp.tools.ml.naivebayes.NaiveBayesModelWriter

Direct Known Subclasses:
  `BinaryNaiveBayesModelWriter`, `PlainTextNaiveBayesModelWriter`

public abstract class NaiveBayesModelWriter extends opennlp.tools.ml.AbstractMLModelWriter
The base class for `NaiveBayesModel` writers.

It provides the `persist()` method which takes care of the structure of a stored document, and requires an extending class to define precisely how the data should be stored.

See Also:
  - `NaiveBayesModel`
  - `AbstractModelWriter`
  - `AbstractMLModelWriter`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NaiveBayesModelWriter(opennlp.tools.ml.model.AbstractModel model)`
  Initializes a `NaiveBayesModelWriter` for a `NaiveBayes model`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `persist()`
  Writes the `perceptron model`, using the `AbstractModelWriter.writeUTF(String)`, `AbstractModelWriter.writeDouble(double)`, or `AbstractModelWriter.writeInt(int)`} methods implemented by extending classes.

  ### Methods inherited from class opennlp.tools.ml.model.AbstractModelWriter

  `close, writeDouble, writeInt, writeUTF`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NaiveBayesModelWriter

    public NaiveBayesModelWriter(opennlp.tools.ml.model.AbstractModel model)
    Initializes a `NaiveBayesModelWriter` for a `NaiveBayes model`.
    Parameters:
      `model` - The `NaiveBayes model` to be written.

- ## Method Details

  - ### persist

    public void persist() throws IOException
    Writes the `perceptron model`, using the `AbstractModelWriter.writeUTF(String)`, `AbstractModelWriter.writeDouble(double)`, or `AbstractModelWriter.writeInt(int)`} methods implemented by extending classes.

    If you wish to create a `NaiveBayesModelWriter` which uses a different structure, it will be necessary to override the `persist()` method in addition to implementing the `writeX(..)` methods.

    Overrides:
      `persist` in class `opennlp.tools.ml.AbstractMLModelWriter`
    Throws:
      `IOException` - Thrown if IO errors occurred.